package com.yeejoin.amos.boot.module.ugp.api.Enum;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

/**
 * @Author cpp
 * @Description    检验检测阶段
 * @Date 2022/10/17
 */
@Getter
@AllArgsConstructor
public enum  StageEnum {

    焊前人员("0","STAFF"),
    焊前设备("1","EQUIPMENT"),
    焊前管材质量("2","BEFORE-WELDING"),
    焊接工艺("3","CRAFT"),
    管道耐压("4","VOLTAGE"),
    敷设质量("5","LAY"),
    焊口定位("6","LOTCATION");

    private String status;
    private String name;




    public static Map<String,String> getNameByStatusMap = new HashMap<String,String>();
    public static Map<String,String> getStatusByNameMap = new HashMap<String,String>();
    static {
        for(StageEnum enums:StageEnum.values()){
            getNameByStatusMap.put(enums.status,enums.name);
            getStatusByNameMap.put(enums.name, enums.status);
        }
    }




}
